####################################
The :mod:`gramps.gui.widgets` Module
####################################

.. automodule:: gramps.gui.widgets

*****************************
Basic Entry
*****************************
.. automodule:: gramps.gui.widgets.basicentry
.. autoclass:: BasicEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Buttons
*****************************
.. automodule:: gramps.gui.widgets.buttons
.. autoclass:: IconButton
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: WarnButton
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: SimpleButton
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: PrivacyButton
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Date Entry
*****************************
.. automodule:: gramps.gui.widgets.dateentry
.. autoclass:: DateEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Expand Collapse Arrow
*****************************
.. automodule:: gramps.gui.widgets.expandcollapsearrow
.. autoclass:: ExpandCollapseArrow
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Fanchart
*****************************
.. automodule:: gramps.gui.widgets.fanchart
.. autoclass:: FanChartBaseWidget
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: FanChartWidget
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: FanChartGrampsGUI
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Fanchart Descendant
*****************************
.. automodule:: gramps.gui.widgets.fanchartdesc
.. autoclass:: FanChartDescWidget
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: FanChartDescGrampsGUI
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Gramplet Bar
*****************************
.. automodule:: gramps.gui.widgets.grampletbar
.. autoclass::  DetachedWindow
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampletBar
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  TabGramplet
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Gramplet Pane
*****************************
.. automodule:: gramps.gui.widgets.grampletpane
.. autoclass:: LinkTag
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GrampletWindow
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GuiGramplet
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GridGramplet
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GrampletPane
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: Configuration
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Labels
*****************************
.. automodule:: gramps.gui.widgets.labels
.. autoclass:: LinkLabel
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: EditLabel
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: BasicLabel
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GenderLabel
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MarkupLabel
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DualMarkupLabel
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Link Box
*****************************
.. automodule:: gramps.gui.widgets.linkbox
.. autoclass:: LinkBox
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Menu Item
*****************************
.. automodule:: gramps.gui.widgets.menuitem
.. autoclass:: MenuItemWithData
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Monitored Widgets
*****************************
.. automodule:: gramps.gui.widgets.monitoredwidgets
.. autoclass:: MonitoredCheckbox
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredEntryIndicator
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredSpinButton
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredText
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredType
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredDataType
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredMenu
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredStrMenu
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredDate
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredComboSelectedEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MonitoredTagList
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Multi Tree View
*****************************
.. automodule:: gramps.gui.widgets.multitreeview
.. autoclass:: MultiTreeView
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Photo
*****************************
.. automodule:: gramps.gui.widgets.photo
.. autoclass:: Photo
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Progress Dialog
*****************************
.. automodule:: gramps.gui.widgets.progressdialog
.. autoclass:: LongOpStatus
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: ProgressMonitor
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GtkProgressDialog
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Shortlist ComboEntry
*****************************
.. automodule:: gramps.gui.widgets.shortlistcomboentry
.. autoclass:: ShortlistComboEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Spring Separator
*****************************
.. automodule:: gramps.gui.widgets.springseparator
.. autoclass:: SpringSeparatorToolItem
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: SpringSeparatorAction
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Statusbar
*****************************
.. automodule:: gramps.gui.widgets.statusbar
.. autoclass:: Statusbar
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Styled Text Buffer
*****************************
.. automodule:: gramps.gui.widgets.styledtextbuffer
.. autoclass:: LinkTag
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GspellState
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: StyledTextBuffer
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Styled Text Editor
*****************************
.. automodule:: gramps.gui.widgets.styledtexteditor
.. autoclass:: StyledTextEditor
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Tool ComboEntry
*****************************
.. automodule:: gramps.gui.widgets.toolcomboentry
.. autoclass:: ToolComboEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Undoable Buffer
*****************************
.. automodule:: gramps.gui.widgets.undoablebuffer
.. autoclass:: Stack
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableInsert
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableDelete
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableBuffer
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Undoable Entry
*****************************
.. automodule:: gramps.gui.widgets.undoableentry
.. autoclass:: UndoableInsertEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableDeleteEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Undoable Styled Buffer
*****************************
.. automodule:: gramps.gui.widgets.undoablestyledbuffer
.. autoclass:: UndoableInsertStyled
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableDeleteStyled
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableApplyStyle
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: UndoableStyledBuffer
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Validated Combo Entry
*****************************
.. automodule:: gramps.gui.widgets.validatedcomboentry
.. autoclass:: ValidatedComboEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Validated Masked Entry
*****************************
.. automodule:: gramps.gui.widgets.validatedmaskedentry
.. autoclass:: MaskedEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: ValidatableMaskedEntry
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Value Action
*****************************
.. automodule:: gramps.gui.widgets.valueaction
.. autoclass:: ValueAction
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Value Tool Item
*****************************
.. automodule:: gramps.gui.widgets.valuetoolitem
.. autoclass:: ValueToolItem
   :members:
   :undoc-members:
   :show-inheritance:
